Bug 427310 - Kernel BUG in prism54pci
Kernel BUG in prism54pci
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 17:39 EST by Matthew Kohner
Modified: 2009-02-11 14:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel bug from log and output of lspci -vv (47.13 KB, text/plain)
2008-01-02 17:39 EST, Matthew Kohner
no flags Details

  None (edit)
Description Matthew Kohner 2008-01-02 17:39:03 EST
Description of problem:

Kernel BUG reported in prism54pci. 
SMC 2802v2 wireless card, wpa2 TKIP connection to wireless access point.


Steps to Reproduce:
1. Make connection to wireless access point
2. Download/upload over the wireless connection. Fails at a random point.
  
Actual results:
Kernel BUG reported in prism54pci


Expected results:
No bug reported.

Additional Info: See attachments
Comment 1 Matthew Kohner 2008-01-02 17:39:03 EST
Created attachment 290684 [details]
kernel bug from log and output of lspci -vv
Comment 2 John W. Linville 2008-01-03 11:04:07 EST
FWIW, that BUG is not actually in the prism54pci code (but it may indeed be 
caused by prism54pci).  I'll have to investigate further to understand what is 
happening.

It looks like the last few instances are somewhere else entirely.  It is 
possible that something else is causing this problem.  Could you try to 
recreate it in some other manner (e.g. using a wired connection instead of 
wireless)?  It may be interesting to see if the problem disappears or just 
reinvents itself...thanks!
Comment 3 John W. Linville 2008-01-30 10:47:06 EST
What kernel version are you using?  Can you reproduce this against 
the -107.fc8 kernel?
Comment 4 John W. Linville 2008-02-01 09:40:24 EST
Email from "Matt Kohner" <mkohner@gmail.com>:


I installed -107 tonight. When trying to download several rpms after
rebooting into -107, I got a hard lockup, with just the capslock
indicator blinking.
I am unable to reproduce the kernel BUG error.
Before updating to -107, I usually got a hard lockup using the wifi
card. I would get a lock up with the capslock indicator blinking on
the keyboard. Only twice did I see the kernel bug actually logged, and
in those cases, the system did not lock up.
I was unable to reproduce either error using the ethernet adapter.
Just the wireless card causes the lockups.
Comment 5 Matthew Kohner 2008-02-09 09:31:15 EST
Updated to 2.6.23.14-115.fc8 kernel. Lockup still occurs. 
Comment 6 John W. Linville 2008-04-02 10:22:08 EDT
There was a recent prism54 patch that _might_ relate to this problem.  Could 
you try this kernel?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=44217

Does that resolve the issue?
Comment 7 Matthew Kohner 2008-04-05 09:59:56 EDT
Updated to kernel-2.6.24.4-64.fc8 - lockup still occurs. 
Comment 8 John W. Linville 2008-11-12 09:44:05 EST
Wow, long time...are you still seeing this issue with current kernels?  I've never seen anything like it reported anywhere else.
Comment 9 Bug Zapper 2008-11-26 04:15:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:33:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.